<template>
    <div>
        <div>
            <Header/>
            <main>
                <div>
                    <LoadingBuble v-if="loading" style="margin-top: 300px;"/>
                </div>
                <div style="margin-top: 100px;" class="container d-flex justify-content-start"><h3>blog Detail</h3></div>
                <div class="container mb-5" style="margin-top: 30px;">
                    <div class="col-md-8">
                        <div class="card-deck">
                            <div class="card" v-if="blog.id">
                                <router-link :to="'/blog/' + blog.id">
                                    <img :src="blog.photo ? apiDomain + blog.photo : 'https://randomuser.me/api/portraits/men/81.jpg'" class="card-img-top rounded-lg" alt="photo" height="300px">
                                </router-link>  
                                <div class="card-body">
                                    <h3 class="card-title">{{ blog.title}}</h3>
                                    <h5 class="text-muted">{{ blog.updated_at}}</h5>
                                    <p class="card-text" style="text-align:left; margin-top: 30px;">
                                        {{ blog.description}}
                                    </p>
                                </div>                                      
                            </div>          
                        </div>
                    </div>
                </div>            
            </main>
            <Footer/>
        </div>
    </div>    
</template>

<script>
import Header from '@/components/Header.vue'
import Footer from '@/components/Footer.vue'
import LoadingBuble from '@/components/Loading2.vue'
import axios from 'axios'

export default {
   name: 'Blog',
   data: () => ({
        blog: {},
        apiDomain: 'https://demo-api-vue.sanbercloud.com',
        loading:false,
    }),

    components: {
        Header,
        Footer,        
        LoadingBuble,
    },

     methods: {
        async go() {
        let { id } = this.$route.params;
        this.loading = true

        const config = {
            method: 'get',
            url : `${this.apiDomain}/api/v2/blog/${id}`
        }
      
        await axios(config) 
            .then(response => {
            let { blog } = response.data;
            this.blog = blog;
            this.loading = false
            //   console.log(blog)
            })

            .catch( error => {
            console.log(error)
            });
        }
  },

  created() {
    this.go()
  },

  mounted() {
      document.title = "Detail Blog"
  }
};
</script>
